@echo OFF
REM copy this folder to %VMLABS%\gnupg and include %VMLABS%\gnupg in your env var path
REM contains keys and pass phrase from EdgeConnector 
REM https://www.thehelper.net/threads/nuon-authentication-tools-thread-emulating-older-outdated-versions-of-linux.167407/post-1394668

echo Script to sign NUON app to for DVD loading
echo VMLABS set to: %VMLABS%
echo %~0 %~1  %~2  %~3  %~4
echo.

set APPTYPE=0
set KEYTYPE="Application"



IF EXIST "%~1.blessings" (
  del "%~1.blessings" 
)
 
IF EXIST "%~1.bless"  (
  del "%~1.bless" 
)
IF EXIST "%~1.bless.sig" (
  del "%~1.bless.sig"
)
IF EXIST "%~1.blessings.padded" (
  del "%~1.blessings.padded"
)


IF "%VMLABS%"=="" GOTO NONE
IF "%~1"=="" GOTO NONE
IF "%~2"=="" GOTO RUN
IF "%~3"=="" GOTO SETAPPTYPE
IF "%~4"=="" GOTO SETKEYTYPE


:NONE
echo usage: makeapp.bat APP_NAME.cof [APP-TYPE] [KEY-TYPE]
echo ie: makeapp.bat APP_NAME.cof 
echo VMLABS env var must be set!
GOTO END


:SETAPPTYPE
%APPTYPE%=%~3
GOTO RUN


:SETKEYTYPE
%APPTYPE%=%~3
%KEYTYPE%=%~4
GOTO RUN

:RUN
IF EXIST "%~1" (
  echo Found "%~1" 
REM @echo blessapp %~1 %APPTYPE%
  blessapp %~1 %APPTYPE%
) ELSE (
  echo ERROR: file "%~1" was not found!
  echo exiting.
  GOTO END
)



echo Signing blessings
REM @echo gpg -b  --homedir C:\gnupg\.gnupg  --digest-algo md5 --default-key %KEYTYPE% "%~1.bless"
echo.
echo.
echo ----- passphrase -------
echo Enter EdgeConnector's passphrase: 
echo Thou Shalt Be Free:P-A1S2:EDC0
echo ----- passphrase -------
echo.

gpg -b  --homedir %VMLABS%\gnupg\.gnupg  --digest-algo md5 --default-key %KEYTYPE% "%~1.bless"
REM pause



IF EXIST "%~1.bless" (
 echo.
) ELSE (
  echo ERROR: passphrase failed: %~1.bless and exiting!
  GOTO END    
)



IF EXIST "%~1.bless.sig" (
  echo passphrase correctly 
) ELSE (
  echo ERROR: passphrase failed: %~1.bless.sig and exiting!
  GOTO END    
)


REM @echo cat "%~1.bless" "%~1.bless.sig" to "%~1.blessings"
cat "%~1.bless" "%~1.bless.sig" > "%~1.blessings"

REM @echo padapp "%~1.blessings"
padapp "%~1.blessings"

REM @echo cat "%~1.blessings.padded" %~1 to "%~1.app"
cat "%~1.blessings.padded" %~1 > "%~1.app"


IF EXIST "%~1.app" (
  echo ----- authinfo -------
  authinfo -v "%~1.app" 
  echo ----- authinfo -------
  echo Fnished correctly
  echo Created app file: %~1.app
  echo.
REM  echo copy %~1.app to your DVD root; NUON\nuon.run and burn as UDF.
) ELSE (
  echo ERROR: file "%~1.app" was not found!
    
)

GOTO END
 
 
:END
REM @echo ----- KEYS -------
REM gpg --list-keys --homedir C:\gnupg\.gnupg 
REM gpg  --list-secret --homedir C:\gnupg\.gnupg
REM @echo ----- KEYS -------


IF EXIST "%~1.blessings" (
  del "%~1.blessings" 
)
 
IF EXIST "%~1.bless"  (
  del "%~1.bless" 
)
IF EXIST "%~1.bless.sig" (
  del "%~1.bless.sig"
)
IF EXIST "%~1.blessings.padded" (
  del "%~1.blessings.padded"
)

echo.
echo.
echo.


